Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearDiscriminantAnalysis.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private LinearDiscriminantAnalysis(bool deserializing) : base(deserializing) { }
+    private LinearDiscriminantAnalysis(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LinearDiscriminantAnalysis(LinearDiscriminantAnalysis original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/LinearRegression.cs	(revision 15018)
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private LinearRegression(bool deserializing) : base(deserializing) { }
+    private LinearRegression(StorableConstructorFlag deserializing) : base(deserializing) { }
     private LinearRegression(LinearRegression original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassification.cs	(revision 15018)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    private MultiNomialLogitClassification(bool deserializing) : base(deserializing) { }
+    private MultiNomialLogitClassification(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MultiNomialLogitClassification(MultiNomialLogitClassification original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitClassificationSolution.cs	(revision 15018)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private MultinomialLogitClassificationSolution(bool deserializing) : base(deserializing) { }
+    private MultinomialLogitClassificationSolution(StorableConstructorFlag deserializing) : base(deserializing) { }
     private MultinomialLogitClassificationSolution(MultinomialLogitClassificationSolution original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/MultinomialLogitModel.cs	(revision 15018)
@@ -36,5 +36,5 @@
   public sealed class MultinomialLogitModel : ClassificationModel {
 
-    private alglib.logitmodel logitModel;
+    private alglib.logitmodel logitModel = new alglib.logitmodel();
     public alglib.logitmodel Model {
       get { return logitModel; }
@@ -60,8 +60,6 @@
 
     [StorableConstructor]
-    private MultinomialLogitModel(bool deserializing)
+    private MultinomialLogitModel(StorableConstructorFlag deserializing)
       : base(deserializing) {
-      if (deserializing)
-        logitModel = new alglib.logitmodel();
     }
     private MultinomialLogitModel(MultinomialLogitModel original, Cloner cloner)
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/Linear/Scaling.cs	(revision 15018)
@@ -36,5 +36,5 @@
     private Dictionary<string, Tuple<double, double>> scalingParameters = new Dictionary<string, Tuple<double, double>>();
     [StorableConstructor]
-    protected Scaling(bool deserializing) : base(deserializing) { }
+    protected Scaling(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Scaling(Scaling original, Cloner cloner)
       : base(original, cloner) {
